[Nextcloud] stuck on version 25.0.6, upgrade fails

Hardware: VPS
YunoHost version: latest

Hi everyone!

I’ve asked for help before but had no replies. I’m really stuck so I’m trying my luck again, this time in english

Upgrade fails. Here’s the log: https://paste.yunohost.org/raw/ohovezawen

I might have changed the default php version from 7.4 to 8.1 yesterday while trying some things, but not sure. Upgrade fails all the same.

I’m many Nextcloud versions behind, so maybe it’s easier to reinstall? In which case, can I import my profile/settings?

Thanks for reading!

2024-02-15 15:26:17,839: DEBUG - + sudo -u nextcloud php8.2 --define apc.enable_cli=1 occ --no-interaction --no-ansi app:enable mail
2024-02-15 15:26:18,558: DEBUG - App "Mail" cannot be installed because it is not compatible with this version of the server.

Apparently the “mail” app is not compatible with Nextcloud … though it’s puzzling because it should be

Do you happen to have an option somewhere in Nextcloud’s admin to upgrade the mail app or something ?

2 Likes

Thanks for looking at the log!

No I don’t see any updates for mail (it’s on 2.2.9 now).

I’m not using emails in nextcloud, maybe I could try to remove it, see if it helps?

edit: maybe it’s an unrelated issue as I didn’t have this warning during previous unsuccessful upgrades

can you try to upgrade to 27.1.6~ynh1?

using this command:
sudo yunohost app upgrade nextcloud -u https://github.com/YunoHost-Apps/nextcloud_ynh/tree/oldstable

if it succeed, you can try to upgrade to 28.0.2~ynh1 with the regular branch:
sudo yunohost app upgrade nextcloud -u https://github.com/YunoHost-Apps/nextcloud_ynh/tree/master

Hi! Thanks for the help

It failed unfortunately: https://paste.yunohost.org/raw/yivinubena

with the same error :confused:

you can try to remove the mail app, yes :confused:

1 Like

@OniriCorpe @Aleks

It worked! After removing the mail app I could upgrade to 27, then 28.

I don’t see the mail issue mentioned in the log from october, but it is in a log I have from july. strange…

This is awesome, thanks a lot for your help!

it’s because the nextcloud ynh package has been recently reworked to show explicitely if a nextcloud app cause the upgrade to fail!

2 Likes

hats off to the devs!

to @Aleks :relieved:

1 Like

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.